# IsoMode

IsoMode is a Python package for analyzing phonon modes and structural distortions in crystalline materials. It provides tools for labeling phonon modes from ABINIT PHBST calculations, identifying symmetry-adapted modes between high and low symmetry structures, and generating distorted structures based on phonon eigenvectors. The package interfaces with the [FINDSYM](https://stokes.byu.edu/iso/findsym.php) and [ISODISTORT](https://stokes.byu.edu/iso/isodistort.php) web services for mode analysis and symmetry calculations.

## Features

- Label phonon modes from ABINIT PHBST calculations
- Identify symmetry-adapted modes between high and low symmetry structures
- Generate distorted structures based on phonon eigenvectors
- Analyze domain structures and structural transitions
- Command-line tools for easy analysis

## Documentation

Full documentation is available at: https://mailhexu.github.io/isomode


## Example Usage

Check the `examples` directory for detailed usage examples:
- `examples/label_phbst/`: Examples of labeling phonon modes
- `examples/view_distort/`: Examples of analyzing structural distortions
